/**
 * @file main.c
 * @brief main c file.This is where it all starts.
 * @details This file provides the following functions: \n
 *          (1) Initialization and de-initialization functions \n
 *          (2) Start and stop functions \n
 *          (3) Feed functions \n
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-25
 * @copyright Copyright(c),2022-8, Hiview Software. All rights reserved.
 * @par History:
 * <table>
 * <tr><th>Author                        <th>Date         <th>Change Description
 * <tr><td>HiView SoC Software Team      <td>2022-08-25   <td>init
 * </table>
*/

#include "hv_comm_Assert.h"
#include "hv_mw_SystemManager.h"

INT32 main( VOID )
{
    /*Creat the RunTime task,SystemManager and Urgent and OSD task and so on*/
    Hv_Mw_System_TaskCreate();

    /*Create the RunTime message queue*/
    Hv_Mw_System_AllMessageQueueCreate();
    
    /*Initializes hardware and software modules*/
    HV_ASSERT_SUCCESS(Hv_Mw_System_Init());

    /*start task Scheduler and enable gloable interupt*/
    Hv_Mw_System_TaskAndIrqEnable();

    for ( ;; );
    /*Don't expect to reach here*/
    return 0;
}
